## org.codehaus.groovy.grails.test.io
Class SystemOutAndErrSwapper

    java.lang.Object
      org.codehaus.groovy.grails.test.io.SystemOutAndErrSwapper

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class SystemOutAndErrSwapper

extends Object
implements groovy.lang.GroovyObject

Field Summary
`protected boolean` `swapped`
`protected PrintStream` `swappedInErr`
`protected OutputStream` `swappedInErrStream`
`protected PrintStream` `swappedInOut`
`protected OutputStream` `swappedInOutStream`
`protected PrintStream` `swappedOutErr`
`protected PrintStream` `swappedOutOut`

Constructor Summary
`SystemOutAndErrSwapper()`
`SystemOutAndErrSwapper(boolean echoOut)`
`SystemOutAndErrSwapper(boolean echoOut, boolean echoErr)`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`boolean` `getEchoErr()`
`boolean` `getEchoOut()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`Object` `invokeMethod(String method, Object arguments)`
`boolean` `isEchoErr()`
`boolean` `isEchoOut()`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`
`List<OutputStream>` `swapIn()`
`List<OutputStream>` `swapIn(OutputStream outStream, OutputStream errStream)`
`List<OutputStream>` `swapOut()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### swappedOutOut

    protected PrintStream swappedOutOut

### swappedOutErr

    protected PrintStream swappedOutErr

### swappedInOut

    protected PrintStream swappedInOut

### swappedInErr

    protected PrintStream swappedInErr

### swappedInOutStream

    protected OutputStream swappedInOutStream

### swappedInErrStream

    protected OutputStream swappedInErrStream

### swapped

    protected boolean swapped

Constructor Detail

### SystemOutAndErrSwapper

    public SystemOutAndErrSwapper(boolean echoOut,
                                  boolean echoErr)

### SystemOutAndErrSwapper

    public SystemOutAndErrSwapper(boolean echoOut)

### SystemOutAndErrSwapper

    public SystemOutAndErrSwapper()

Method Detail

### getEchoOut

    public boolean getEchoOut()

### isEchoOut

    public boolean isEchoOut()

### getEchoErr

    public boolean getEchoErr()

### isEchoErr

    public boolean isEchoErr()

### swapIn

    public List<OutputStream> swapIn()

### swapIn

    public List<OutputStream> swapIn(OutputStream outStream,
                                     OutputStream errStream)

### swapOut

    public List<OutputStream> swapOut()

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project